# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _
from django.utils.encoding import python_2_unicode_compatible


@python_2_unicode_compatible
class Subscription(models.Model):
    """Newsletter Subscription"""
    creation_date = models.DateTimeField(
        _('creation date'),
        auto_now_add=True,
    )
    email = models.EmailField(
        _('email'),
        unique=True,
    )
    first_name = models.CharField(
        _('first name'),
        max_length=50,
        blank=True,
    )
    last_name = models.CharField(
        _('last name'),
        max_length=50,
        blank=True,
    )

    def __str__(self):
        return 'Subscription from {}'.format(self.email)

    class Meta:
        verbose_name = _('Subscription')
        verbose_name_plural = _('Subscriptions')
