# -*- coding: utf-8 -*-
"""
Templates tags for Newsletter Subscription
"""
from django import template

from newsletter_subscriptions.forms import SubscriptionForm
from newsletter_subscriptions.helpers import (
    helper_finder,
    InlineSubscriptionFormHelper,
    AlternativeInlineSubscriptionFormHelper,
)

register = template.Library()


@register.simple_tag
def get_subscribe_form():
    """
    Display the form
    """
    form = SubscriptionForm()
    helper_class = helper_finder(InlineSubscriptionFormHelper)
    form.helper = helper_class()
    return form


@register.inclusion_tag('newsletter_subscriptions/subscription_templatetag.html')
def inline_subscribe_newsletter():
    helper_class = helper_finder(AlternativeInlineSubscriptionFormHelper)
    return {
        'form': SubscriptionForm(initial={'opt_in': False}),
        'form_helper': helper_class(),
    }
